#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QTableView>
#include <QSqlQueryModel>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    ui->tableView->setWindowTitle("Model");

    db = QSqlDatabase::addDatabase("QMYSQL3");
    db.setHostName("localhost");
    db.setDatabaseName("test");
 //   db.setUserName("root");
   // db.setPassword("iuliuta");

    if (!db.open())
    {
        QMessageBox::critical(0, QObject::tr("Database Error"),
                              db.lastError().text());

    }
    else
    {
        QSqlQueryModel* model = new QSqlQueryModel;
        model->setQuery("SELECT * FROM Persons");
  //      model->setHeaderData(0, Qt::Horizontal, "Nume");
  //      model->setHeaderData(1, Qt::Horizontal, "Prenume");
  //      model->setHeaderData(2, Qt::Horizontal, "Adresa");
  //      model->setHeaderData(3, Qt::Horizontal, "Orasul");

        ui->tableView->setModel(model);
        ui->tableView->show();
    }
}

MainWindow::~MainWindow()
{
    delete ui;
}
